#!/usr/bin/env python
try:
  from setuptools import setup, Extension
except ImportError:
  from distutils.core import setup, Extension

import sys
import os 

description = '''Python driver for the LaCrosse WS-2300 weather station'''

classifiers = [
  "Development Status :: 4 - Beta",
  "Environment :: Console",
  "Intended Audience :: Developers",
  "License :: OSI Approved :: EPL",
  "Natural Language :: English",
  "Operating System :: Unix",
  "Programming Language :: Python",
  "Topic :: Home Automation"]

setup(
  name="ws2300",
  version="1.3",
  py_modules=["ws2300"],
  author="Russell Stuart",
  author_email="russell-ws2300@stuart.id.au",
  url="http://www.stuart.id.au/russell/files/ws2300",
  keywords="weather",
  platforms="Unix",
  long_description=description,
  description=description,
  license="EPL",
  classifiers=classifiers,
)
